Summary: Free Japanese TrueType fonts (mincho & gothic)
Name: xtt-fonts
Version: 0.19990222
Release: 8.6x
Copyright: Distributable
Group: User Interface/X
# Original source is gziped
Source0: http://www.debian.or.jp/debian-jp/dists/potato-jp/main/source/x11/xtt-fonts_0.19990222-5.tar.bz2
Source1: fonts.scale.bz2
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Summary(ja): ե꡼ܸ TrueType ե (īȥå)
Buildrequires: VFlib2
Prereq: chkfontpath

%description
This Package provides Free Japanese TrueType fonts (Watanabe mincho &
Wada Lab. gothic) and fonts.{dir,aliases} for X-TT
Including ttindex files for VFlib

%description -l ja
ӻ(ishikawa@linux.or.jp)ե꡼δեȤǤī
ĸѥåפcb2ttjˤäTrueTypeեȤˤ
VFlibѤttindexեդޤ

%prep
%setup -q

%build
ttindex watanabe-mincho
ttindex wadalab-gothic

%install
rm -fr %{buildroot}
mkdir -p %{buildroot}/usr/share/fonts/ja/TrueType
bunzip2 -c %SOURCE1 > \
	%{buildroot}/usr/share/fonts/ja/TrueType/fonts.scale
chmod 0644 %{buildroot}/usr/share/fonts/ja/TrueType/fonts.scale
install -m 0644 *.{ttf,tti} \
           %{buildroot}/usr/share/fonts/ja/TrueType/

/usr/X11R6/bin/mkfontdir -e /usr/X11R6/lib/X11/fonts/encodings \
                         -e /usr/X11R6/lib/X11/fonts/encodings/large \
			 %{buildroot}/usr/share/fonts/ja/TrueType

%post
/usr/sbin/chkfontpath -q -a /usr/share/fonts/ja/TrueType

%postun
if [ "$1" = "0" ]; then
	/usr/sbin/chkfontpath -q -r /usr/share/fonts/ja/TrueType
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc *README* fonts.* debian/{changelog,copyright}
%dir /usr/share/fonts/ja/TrueType
%config(noreplace) /usr/share/fonts/ja/TrueType/fonts.dir
%config(noreplace) /usr/share/fonts/ja/TrueType/fonts.scale
%config(noreplace) /usr/share/fonts/ja/TrueType/encodings.dir
/usr/share/fonts/ja/TrueType/watanabe-mincho.ttf
/usr/share/fonts/ja/TrueType/wadalab-gothic.ttf
/usr/share/fonts/ja/TrueType/watanabe-mincho.tti
/usr/share/fonts/ja/TrueType/wadalab-gothic.tti

%changelog
* Mon May 14 2002 Tim Waugh <twaugh@redhat.com> 0.19990222-8.6x
- Build for Red Hat Linux 6.x, for ghostscript.

* Fri Mar  9 2001 Preston Brown <pbrown@redhat.com>
- moved fonts to /usr/share (our standard location)
- package fonts.dir and encodings.dir files

* Sun Jan 28 2001 Yukihiro Nakai <ynakai@redhat.com>
- bzip2

* Fri Sep  1 2000 ISHIKAWA Mutsumi <ishikawa@redhat.com>
- add fonts.scale and remove fonts.dir and encodings.dir
- fix font names

* Thu Aug 31 2000 ISHIKAWA Mutsumi <ishikawa@redhat.com>
- New upstream version
- adopt RedHat 7.0 (XFree86 4.0.1)

* Wed Mar 15 2000 Matt Wilson <msw@redhat.com>
- touch fonts.dir so we don't get blown away on xfs restart

* Sun Mar  5 2000 Chris Ding <cding@redhat.com>
- changed group

* Thu Oct 21 1999 Matt Wilson <msw@redhat.com>
- modified to work with xfstt encoding scheme

* Tue Oct 12 1999 Matt Wilson <msw@redhat.com>
- built against 6.1
- removed bogus %pre script that moved /usr/X11R6/lib/X11/fonts/truetype
  to /usr/X11R6/lib/X11/fonts/TrueType
- added chkfontpath support

* Tue Aug 03 1999 Atsushi Yamagata <yamagata@plathome.co.jp>
- built against RHL-6.0/i386
- added %defattr(-, root, root) at %files

* Wed Mar 31 1999 iNOUE Koich! <inoue@ma.ns.musashi-tech.ac.jp>
  chage TrueType fonts' directory name from truetype to TrueType

* Wed Feb 24 1999 iNOUE Koich! <inoue@ma.ns.musashi-tech.ac.jp>
- [0.19990222]

* Thu Feb 18 1999 iNOUE Koich! <inoue@ma.ns.musashi-tech.ac.jp>
- make suitable fonts.dir/fonts.alias

* Thu Dec 24 1998 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- stop addinf FontPath to XF86Config

* Thu Dec 17 1998 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- add buildarch tag

* Sat Dec 12 1998 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- including ttindex files

* Thu Dec 10 1998 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- First Build
